Berry Juicer
API Reference
API Reference
Base URL: https://api.berryfinance.site
Public reads
| Endpoint | Purpose |
|---|---|
| GET /health | liveness |
| GET /api/config | chain id, live contract addresses, supportedTokens |
| GET /api/creators/{address}/balance | credited6dp, spent6dp, remaining6dp (USDG 6dp) |
| GET /api/creators/{address}/inference | credited total and per-harvest history |
| GET /api/creators/{address}/delegations | active agent delegations |
| GET /api/inference/quote?quoteValue=wei | estimate preview |
| GET /api/tokens/{address}/resolve | any Robinhood Chain token: market data, biggest Uniswap V4 pool, registrable pool parameters, supportedForDeposit |
Entry (KyberSwap-routed)
| Endpoint | Purpose |
|---|---|
| GET /api/entry/quote?tokenIn&amountIn&tokenOut | convert any token to a supported deposit token |
| POST /api/entry/build | calldata for the conversion swap |
| GET /api/zap/quote, POST /api/zap/build | plain Uniswap V4 LP via Zap as a Service (not a Juicer vault) |
Authenticated
| Endpoint | Auth | Purpose |
|---|---|---|
| POST /api/inference/chat | wallet signature (creator or delegated agent) | OpenAI-compatible spend proxy |
| POST /api/delegations | creator signature | grant agent delegation |
| POST /api/delegations/revoke | creator signature | revoke delegation |
Signature formats
- Spend: berry-inference:{address_lowercase}:{timestamp_ms} (5 minute window)
- Grant: berry-delegate:{creator}:{agent}:{expiresAtMs}
- Revoke: berry-revoke:{creator}:{agent}:{timestamp_ms} (5 minute window)